function q = R2q(R)

if ((abs(det(R)-1)<0.0001) &(trace(R)+1>0))
  q0=sqrt(trace(R)+1)/2;
  q1=(R(2,3)-R(3,2))/4/q0;
  q2=(R(3,1)-R(1,3))/4/q0;
  q3=(R(1,2)-R(2,1))/4/q0;

  q=[q0;q1;q2;q3];
else
  error('Matrix not Special Orthogonal');
end;