function xy = ll2xy(lat, long, lat0, long0)

  x0y0=xyglobal(lat0, long0);
  xygl=xyglobal(lat, long);
  xy(1,:)=xygl(1,:)-x0y0(1);
  xy(2,:)=xygl(2,:)-x0y0(2);

end

function xy=xyglobal(lat, long)
  a = 6378137;
  b = 6356752.314245;
  r=(a+b)/2;
  long = long.*(pi/180);
  lat = lat.*(pi/180);

  xy=[r.*cos(lat).*long; r.*lat];
end