function y = hf(x, par, varargin)

  xf=x(par.nps+1:end); % Extract the features
  
  if nargin>2
    vis_ind=varargin{1};
  else
    nf=length(xf)/3; % Determine the number of features
    vis_ind=1:nf;
  end;

  Rcb = Rq(par.q_bc)';
  Rbe = Rq(x(7:10,:));
  Rce = Rcb*Rbe;
  
  y = [];
  for i=vis_ind
    fc = Rce*(xf(3*(i-1)+1:3*i)-x(1:3));
    y(end+1:end+2,1) = 1/abs(fc(3))*fc(1:2);
  end  
end