function yhatf = predictLandmarks(x, par)
%PREDICTLANDMARKS   Predicts the landmark position in normalized image
%   coordinates. In other words, the predictions that you generate stems 
%   from a normalized camera
%
%   Input
%      x           State mean
%      par         Parameters
%
%   Output
%      yhatf       Predicted landmark position in normalized image coordinates

end